# V E R S I O N   P A R T S

# their "official" version
%define rversion 6.3.8

# their "minor" version
%define minor_rev 9

# some other funny version
%define qlev Q16

# the full file version
%define dversion %{rversion}-%{minor_rev}

%define major 1

# S T A N D A R D   M A N D R I V A   S T U F F
%define libname %mklibname magick %{major}
%define develname %mklibname magick -d

Summary:	An X application for displaying and manipulating images
Name:		imagemagick
Version:	%{rversion}.%{minor_rev}
%define subrel 1
Release:	%mkrel 1
License:	BSD style
Group:		Graphics
URL:		http://www.imagemagick.org/
Source0:	ftp://gd.tuwien.ac.at/pub/graphics/ImageMagick/ImageMagick-%{dversion}.tar.lzma
Source1:	ImageMagick.pdf.bz2
# re-scaled from ftp://ftp.imagemagick.org/pub/ImageMagick/images/magick-icon.png
Source10:	magick-icon_16x16.png
Source11:	magick-icon_32x32.png
Source12:	magick-icon_48x48.png
Source13:	magick-icon_64x64.png
Patch0:		imagemagick-docdir.diff
Patch4:		ImageMagick-6.0.1-includedir.patch
Patch7:		imagemagick-urw.diff
Patch17:	imagemagick-fpx.diff
Patch19:	ImageMagick-libpath.diff
Patch20:	ImageMagick-6.2.5-fix-montageimages-test.patch
Patch21:	imagemagick-cve-2009-1882.patch
Requires:	%{libname} = %{version}
Requires:	ghostscript
Requires:	graphviz
Requires:	html2ps
Obsoletes:	ImageMagick < 6.3.2.9-6
Provides:	ImageMagick = %{version}-%{release}
BuildRequires:	XFree86-devel
BuildRequires:	autoconf2.5
BuildRequires:	automake1.8
BuildRequires:	avahi-client-devel
BuildRequires:	avahi-common-devel
BuildRequires:	avahi-glib-devel
BuildRequires:	bzip2-devel
BuildRequires:	cairo-devel
BuildRequires:	chrpath
BuildRequires:	dbus-glib-devel
BuildRequires:	djvulibre-devel
BuildRequires:	expat-devel
BuildRequires:	fontconfig-devel
BuildRequires:	freetype2-devel >= 2.1.7
BuildRequires:	gd-devel
BuildRequires:	ghostscript
BuildRequires:	glib2-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	graphviz-devel >= 2.9.0
BuildRequires:	lcms-devel >= 1.15
BuildRequires:	libGConf2-devel
BuildRequires:	libcroco0.6-devel
BuildRequires:	libexif-devel
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	libgsf-devel
BuildRequires:	libjasper-devel
BuildRequires:	libjbig-devel
BuildRequires:	libltdl-devel >= 1.4.3-10
BuildRequires:	librsvg-devel
BuildRequires:	libwmf
BuildRequires:	libwmf-devel
BuildRequires:	libxml2-devel
BuildRequires:	lqr-devel
BuildRequires:	openssl-devel
BuildRequires:	pango-devel
BuildRequires:	perl-devel
BuildRequires:	pixman-devel
BuildRequires:	tiff-devel
BuildConflicts:	%{name}-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
ImageMagick is a powerful image display, conversion and manipulation tool. It
runs in an X session. With this tool, you can view, edit and display a variety
of image formats.

%package 	desktop
Summary:	ImageMagick menus
Group:		Graphics
Requires:	xterm
Obsoletes:	ImageMagick-desktop < 6.3.2.9-6

%description	desktop
This package contains the menu and .desktop entries to run the "display"
command from the menu.

%package -n	%{libname}
Summary:	ImageMagick libraries
Group:		System/Libraries
# (Anssi 02/2008): Wrongly named at first, can be removed when major changes again:
Obsoletes:	%{_lib}magick%{major}.0.0 < %{version}-%{release}

%description -n	%{libname}
This package contains the libraries needed to run programs dynamically linked
with ImageMagick libraries.

%package -n	%{develname}
Summary:	Static libraries and header files for ImageMagick app development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	ImageMagick-devel = %{version}-%{release}
Provides:	libmagick-devel = %{version}-%{release}
Provides:	libMagick-devel = %{version}-%{release}
Obsoletes:	ImageMagick-devel
Provides:	libMagick5-devel = %{version}-%{release}
Obsoletes:	libMagick5-devel
# 2006
Obsoletes:	%{mklibname Magick 8.3.2 -d}
# 2007.0
Obsoletes:	%{mklibname magick 10.4.0 -d} %{mklibname Magick 10.4.0 -d}
# 2007.1/2008.0
Obsoletes:	%{mklibname magick 10.7.0 -d} %{mklibname Magick 10.7.0 -d}
# pre 2008.1
Obsoletes:	%{mklibname magick 10.9.0 -d} %{mklibname Magick 10.9.0 -d}

%description -n	%{develname}
If you want to create applications that will use ImageMagick code or APIs,
you'll need to install these packages as well as ImageMagick. These additional
packages aren't necessary if you simply want to use ImageMagick, however.

ImageMagick-devel is an addition to ImageMagick which includes static libraries
and header files necessary to develop applications.

%package -n	perl-Image-Magick
Summary:	Libraries and modules for access to ImageMagick from perl
Group:		Development/Perl
Requires:	%{name} = %{version}
Provides:	perl-Magick = %{version}-%{release}
Obsoletes:	perl-Magick
Requires:	graphviz
Requires:	libwmf

%description -n	perl-Image-Magick
This is the ImageMagick perl support package. It includes perl modules and
support files for access to ImageMagick library from perl.

%package	doc
Summary:	%{name} Documentation
Group:		Books/Other
Obsoletes:	ImageMagick-doc < 6.3.2.9-6

%description	doc
This package contains HTML/PDF documentation of %{name}.

%prep

%setup -q -n ImageMagick-%{rversion}

%patch0 -p0 -b .docdir
%patch4 -p1 -b .include
%patch7 -p0 -b .urw
%patch17 -p0 -b .fpx
%patch19 -p1 -b .libpath
%patch20 -p1 -b .ppc
%patch21 -p1 -b .cve-2009-1882

bzcat %{SOURCE1} > ImageMagick.pdf
install -m 644 %{SOURCE10} %{SOURCE11} %{SOURCE12} %{SOURCE13} .

%build
export WANT_AUTOCONF_2_5=1
rm -f configure
#libtoolize --copy --force; aclocal -I m4; autoconf; automake
aclocal -I m4; autoconf; automake

export CFLAGS="%{optflags} -fno-strict-aliasing -fPIC"
export CXXFLAGS="%{optflags} -fno-strict-aliasing -fPIC"

# don't use icecream
export PATH=/bin:/usr/bin:/usr/X11R6/bin

%configure2_5x \
    --with-pic \
    --enable-shared \
    --enable-fast-install \
    --disable-ltdl-install \
    --with-threads \
    --with-magick_plus_plus \
    --with-gslib \
    --with-wmf \
    --with-lcms \
    --with-rsvg \
    --with-xml \
    --without-dps \
    --without-windows-font-dir \
    --without-modules \
    --with-perl \
    --with-perl-options="INSTALLDIRS=vendor" \
    --with-jp2 \
    --with-dot \
    --with-lqr

# without the following, it doesn't build correctly with "make -j 4"
perl -lpi -e '$_ .= " magick/libMagickCore.la" if index($_, q($(PERLMAKEFILE))) == 0' Makefile

make

%check
# these tests require X
if [ -f PerlMagick/t/x11/read.t ]; then
	mv PerlMagick/t/x11/read.t PerlMagick/t/x11/read.t.disabled
fi
if [ -f PerlMagick/t/x11/write.t ]; then
	mv PerlMagick/t/x11/write.t PerlMagick/t/x11/write.t.disabled
fi
dlname=`grep "^dlname" Magick++/lib/.libs/libMagick++.la | cut -d\' -f2`
LD_PRELOAD="$PWD/Magick++/lib/.libs/$dlname" VERBOSE="1" make check

%install
rm -rf %{buildroot}

# (Abel) set LD_RUN_PATH to null, to avoid adding rpath to perlmagick module
%makeinstall_std LD_RUN_PATH="" pkgdocdir=/installed_docs

# fix docs inclusion (fix an unknown new rpm bug)
rm -rf installed_docs; mv %{buildroot}/installed_docs .

# Remove unpackaged files
rm -f %{buildroot}%{_libdir}/ImageMagick-%{rversion}/modules-%{qlev}/coders/*.a \
      %{buildroot}%{_libdir}/ImageMagick-%{rversion}/modules-%{qlev}/filters/*.a \
      %{buildroot}%{_libdir}/libltdl* 

%multiarch_binaries %{buildroot}%{_bindir}/Magick-config
%multiarch_binaries %{buildroot}%{_bindir}/Magick++-config
%multiarch_binaries %{buildroot}%{_bindir}/MagickCore-config
%multiarch_binaries %{buildroot}%{_bindir}/MagickWand-config
%multiarch_binaries %{buildroot}%{_bindir}/Wand-config
%multiarch_includes %{buildroot}%{_includedir}/ImageMagick/magick/magick-config.h

# nuke rpath
chrpath -d %{buildroot}%{perl_vendorarch}/auto/Image/Magick/Magick.so

# icons
install -m 755 -d %{buildroot}%{_liconsdir} \
	   %{buildroot}%{_iconsdir} \
	   %{buildroot}%{_iconsdir}/hicolor/64x64/apps \
           %{buildroot}%{_miconsdir}
install -m 644 magick-icon_16x16.png %{buildroot}%{_miconsdir}/%{name}.png
install -m 644 magick-icon_32x32.png %{buildroot}%{_iconsdir}/%{name}.png
install -m 644 magick-icon_48x48.png %{buildroot}%{_liconsdir}/%{name}.png
install -m 644 magick-icon_64x64.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png


install -m 755 -d %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=ImageMagick
Comment=Views Graphics files
Exec=%{_bindir}/xterm -geometry 40x15 -title ImageMagick +sb -iconic -e %{_bindir}/display
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Office-Graphs;Graphics;Viewer;
EOF

%post desktop
%update_menus

%postun desktop
%clean_menus

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.txt
%{_bindir}/animate
%{_bindir}/compare
%{_bindir}/composite
%{_bindir}/convert
%{_bindir}/conjure
%{_bindir}/display
%{_bindir}/identify
%{_bindir}/import
%{_bindir}/mogrify
%{_bindir}/montage
%{_bindir}/stream
%dir %{_libdir}/ImageMagick-%{rversion}
%dir %{_libdir}/ImageMagick-%{rversion}/modules-%{qlev}
%dir %{_libdir}/ImageMagick-%{rversion}/modules-%{qlev}/coders
%dir %{_libdir}/ImageMagick-%{rversion}/config
%{_datadir}/ImageMagick-%{rversion}
%{_libdir}/ImageMagick-%{rversion}/config/*.xml
#%{_libdir}/ImageMagick-%{rversion}/modules-%{qlev}/filters
#%{_libdir}/ImageMagick-%{rversion}/modules-%{qlev}/coders/*.so
#%{_libdir}/ImageMagick-%{rversion}/modules-%{qlev}/coders/*.la
%{_mandir}/man1/*
%{_mandir}/man3/*
%exclude %{_mandir}/man3/*::*.3pm*

%files desktop
%defattr(-,root,root)
%{_datadir}/applications/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/hicolor/64x64/apps/%{name}.png

%files -n %{libname}
%defattr(-,root,root,0755)
%{_libdir}/libMagick++.so.%{major}*
%{_libdir}/libMagickCore.so.%{major}*
%{_libdir}/libMagickWand.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/ImageMagick
%multiarch %{multiarch_bindir}/Magick-config
%multiarch %{multiarch_bindir}/Magick++-config
%multiarch %{multiarch_bindir}/MagickCore-config
%multiarch %{multiarch_bindir}/MagickWand-config
%multiarch %{multiarch_bindir}/Wand-config
%multiarch %dir %{multiarch_includedir}/ImageMagick
%multiarch %dir %{multiarch_includedir}/ImageMagick/magick
%multiarch %{multiarch_includedir}/ImageMagick/magick/magick-config.h
%{_bindir}/Magick-config
%{_bindir}/Magick++-config
%{_bindir}/MagickCore-config
%{_bindir}/MagickWand-config
%{_bindir}/Wand-config
%attr(0644,root,root) %{_libdir}/*.a
%attr(0644,root,root) %{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n perl-Image-Magick
%defattr(-,root,root)
%{perl_vendorarch}/Image
%{perl_vendorarch}/auto/Image
%{_mandir}/man3*/*::*.3pm*

%files doc
%defattr(-,root,root)
%doc ImageMagick.pdf ChangeLog LICENSE NEWS NOTICE
%doc QuickStart.txt installed_docs/*


%changelog
* Thu Oct 08 2009 Eugeni Dodonov <eugeni@mandriva.com> 6.3.8.9-1.1mdv2008.1
- P21: security fix for CVE-2009-1882

* Tue Feb 19 2008 Oden Eriksson <oeriksson@mandriva.com> 6.3.8.9-1mdv2008.1
+ Revision: 172929
- 6.3.8-9

* Sat Feb 09 2008 Anssi Hannula <anssi@mandriva.org> 6.3.8.5-1mdv2008.1
+ Revision: 164617
- add %%minor_rev to %%version, it is not so minor (even libs were renamed
  with only it being raised)

* Sat Feb 09 2008 Anssi Hannula <anssi@mandriva.org> 6.3.8-2mdv2008.1
+ Revision: 164569
- drop library major check from prep (major is not supposed to be
  LIBRARY_CURRENT.LIBRARY_REVISION.LIBRARY_AGE, rather
  LIBRARY_CURRENT - LIBRARY_AGE; if upstream assumes something
  else, a proper fix is needed to avoid breakage in upgrade)
- rename library package to reflect correct major
- simplify file list
- own some unowned directories
- ensure major correctness

* Fri Feb 08 2008 Oden Eriksson <oeriksson@mandriva.com> 6.3.8-1mdv2008.1
+ Revision: 164215
- trying "make -j1" again...
- fix the multiarch stuff
- 6.3.8-5
- it cannot utilize %%make on x86_64, so just don't use that...
- bump release
- can't link against umem due to licensing issues
- added umem support
- 6.3.8-3
- dropped the libname patch, it's useless
- fixed deps
- added lqr support (experimental)

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 6.3.7-3mdv2008.1
+ Revision: 151250
- rebuild for perl-5.10.0

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu

* Tue Jan 08 2008 Oden Eriksson <oeriksson@mandriva.com> 6.3.7-2mdv2008.1
+ Revision: 146681
- really fix it
- --with-modules is borked, use --without-modules
- 6.3.7-9

* Fri Jan 04 2008 Oden Eriksson <oeriksson@mandriva.com> 6.3.7-1mdv2008.1
+ Revision: 144861
- 6.3.7-8
- major spec file rework
- fix deps
- repatched needed patches
- dropped obsolete patches
- fix #27044 (convert needs html2ps to convert HTML to PostScript)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Wed Sep 26 2007 Andreas Hasenack <andreas@mandriva.com> 6.3.2.9-10mdv2008.0
+ Revision: 93085
- fixed (lib)djvulibre-devel buildrequires
- fix build because of wrong font path (#34054)
- added security patch for CVE-2007-1667_1797 (#31911)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Fri May 04 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6.3.2.9-8mdv2008.0
+ Revision: 22582
- Revert bogus Obsoletes+major change from previous commit.

* Fri May 04 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6.3.2.9-7mdv2008.0
+ Revision: 22554
- Rebuild with new jasper.
- Don't use major define on obsoletes because it can be modified making
  room for potential future errors (user changing major without noticing
  it has to change Obsoletes too).

* Sat Apr 21 2007 Anssi Hannula <anssi@mandriva.org> 6.3.2.9-6mdv2008.0
+ Revision: 16613
- rename to imagemagick
- move Imagemagick package tree to imagemagick


* Sun Mar 11 2007 Giuseppe Ghibò <ghibo@mandriva.com> 6.3.2.9-5mdv2007.1
+ Revision: 141362
- Added desktop subpackage and menu (fix bug #29331). "display" won't start without xterm (KDE bug?).

* Tue Mar 06 2007 Giuseppe Ghibò <ghibo@mandriva.com> 6.3.2.9-4mdv2007.1
+ Revision: 133476
- Fixed conflict in man pages between main and perl package (thanks to Pixel).

  + Anssi Hannula <anssi@mandriva.org>
    - remove unused options and fix description

* Sun Mar 04 2007 Anssi Hannula <anssi@mandriva.org> 6.3.2.9-3mdv2007.1
+ Revision: 132189
- plf: disable fpx build (broken)

* Thu Mar 01 2007 Giuseppe Ghibò <ghibo@mandriva.com> 6.3.2.9-2mdv2007.1
+ Revision: 130660
- Rebuilt.

* Sat Feb 24 2007 Giuseppe Ghibò <ghibo@mandriva.com> 6.3.2.9-1mdv2007.1
+ Revision: 125369
- Release: 6.3.2-9.

* Tue Feb 20 2007 Giuseppe Ghibò <ghibo@mandriva.com> 6.3.2.8-1mdv2007.1
+ Revision: 122953
- Release: 6.3.2-8.

* Fri Feb 16 2007 Götz Waschk <waschk@mandriva.org> 6.3.2.5-2mdv2007.1
+ Revision: 121898
- add djvulibre support
- fix description

* Fri Feb 16 2007 Götz Waschk <waschk@mandriva.org> 6.3.2.5-1mdv2007.1
+ Revision: 121701
- new version
- new major
- drop patches 1, 21
- rediff patch 17
- fix patch 7, it was producing invalid xml in a font configuration file

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - Release: 6.2.9-8.
    - Removed Patch10 (no longer needed).
    - Rebuilt Patch19.
    - Merged Patch21 from Stew Benetict (security fix for CVE-2006-5456).
    - Import ImageMagick

* Thu Aug 31 2006 Giuseppe Ghib <ghibo@mandriva.com> 6.2.9.2-1mdv2007.0
- Release: 6.2.9-2 (also fixes CVE-2006-3743,3744,4144).
- Bumped lib %%major to 10.4.0.

* Tue Aug 22 2006 Giuseppe Ghib <ghibo@mandriva.com> 6.2.8.8-1mdv2007.0
- Release: 6.2.8-8.

* Thu Aug 03 2006 Gtz Waschk <waschk@mandriva.org> 6.2.8.7-1mdv2007.0
- new version

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 6.2.8.4-2mdv2007.0
- Rebuild with latest dbus

* Wed Jul 19 2006 Gtz Waschk <waschk@mandriva.org> 6.2.8.4-1mdv2007.0
- new release

* Tue Jul 04 2006 Giuseppe Ghib <ghibo@mandriva.com> 6.2.8.3-1mdv2007.0
- Release: 6.2.8-3.

* Mon Jul 03 2006 Giuseppe Ghib <ghibo@mandriva.com> 6.2.8.2-1mdv2007.0
- Release: 6.2.8-2.

* Fri Jun 30 2006 Gtz Waschk <waschk@mandriva.org> 6.2.8.1-1mdv2007.0
- fix doc patch again
- update file list
- new version

* Mon Jun 19 2006 Stefan van der Eijk <stefan@eijk.nu.lurtspam> 6.2.8-1mdv2007.0
- rebuild for png

* Fri Jun 09 2006 Gtz Waschk <waschk@mandriva.org> 6.2.8-1mdv2007.0
- new major
- new version

* Wed Apr 19 2006 Gtz Waschk <waschk@mandriva.org> 6.2.7-1mdk
- move tests to %%check
- drop patch 12
- disable graphviz for now (needs 2.9 development snapshot)
- update deps
- fix doc location
- update patch 8,17
- new version

* Wed Apr 05 2006 Gtz Waschk <waschk@mandriva.org> 6.2.6.8-1mdk
- new version

* Fri Mar 31 2006 Gtz Waschk <waschk@mandriva.org> 6.2.6.7-1mdk
- New release 6.2.6.7

* Wed Mar 29 2006 Gtz Waschk <waschk@mandriva.org> 6.2.6.4-4mdk
- fix devel exceptions for graphviz

* Fri Mar 24 2006 Gtz Waschk <waschk@mandriva.org> 6.2.6.4-3mdk
- rebuild for graphviz

* Wed Mar 15 2006 Gtz Waschk <waschk@mandriva.org> 6.2.6.4-2mdk
- spec fixes

* Mon Mar 13 2006 Giuseppe Ghib <ghibo@mandriva.com> 6.2.6.4-1mdk
- 6.2.6-4.
- Rebuilt Patch8.

* Tue Feb 28 2006 Giuseppe Ghib <ghibo@mandriva.com> 6.2.6.2-1mdk
- 6.2.6-2.

* Mon Jan 30 2006 Giuseppe Ghib <ghibo@mandriva.com> 6.2.6.1-2mdk
- Bump major to 10.1.0.

* Mon Jan 30 2006 Giuseppe Ghib <ghibo@mandriva.com> 6.2.6.1-1mdk
- 6.2.6-1.
- Rebuilt Patch10.
- Bump major to 10.0.0.

* Fri Jan 20 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 6.2.5.5-4mdk
- patch20: fix bug detected by montageImages test case on ppc

* Tue Jan 03 2006 Giuseppe Ghib <ghibo@mandriva.com> 6.2.5.5-3mdk
- fix major: should be derived from LIBRARY_CURRENT|REVISION|AGE.

* Sat Dec 31 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 6.2.5.5-2mdk
- fix major

* Fri Dec 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 6.2.5.5-1mdk
- 6.2.5-5
- regenerate P10
- convert to utf-8

* Tue Aug 30 2005 Giuseppe Ghibò <ghibo@mandriva.com> 6.2.4.3-1mdk
- Release: 6.2.4.3.

* Fri Aug 26 2005 Giuseppe Ghibò <ghibo@mandriva.com> 6.2.4.2-2mdk
- Removed type-windows.xml from type.xml (bug #10193).

* Thu Aug 25 2005 Oden Eriksson <oeriksson@mandriva.com> 6.2.4.2-1mdk
- 6.2.4-2
- nuke rpath
- new major

* Sun Aug 14 2005 GÃ¶tz Waschk <waschk@mandriva.org> 6.2.3.6-3mdk
- rebuild for new xorg

* Sat Aug 06 2005 Giuseppe Ghibò <ghibo@mandriva.com> 6.2.3.6-2mdk
- Rebuilt Patch8.

* Sat Aug 06 2005 Giuseppe Ghibò <ghibo@mandriva.com> 6.2.3.6-1mdk
- Release: 6.2.3-6.

* Fri Jul 22 2005 Giuseppe Ghibò <ghibo@mandriva.com> 6.2.3.4-1mdk
- Release: 6.2.3-4.

* Sun Jul 10 2005 Giuseppe Ghibò <ghibo@mandriva.com> 6.2.3.3-1mdk
- Release: 6.2.3-3.

* Sat Jun 25 2005 Giuseppe Ghibò <ghibo@mandriva.com> 6.2.3.2-1mdk
- Release: 6.2.3-2.
- Removed Patch20 (alphachannel), merged upstream.
- Rebuilt Patch10 (textfontsize).

* Thu Mar 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 6.2.0.3-8mdk
- fix #15097

* Sun Mar 20 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 6.2.0.3-7mdk
- add BuildRequires: libgd-devel

* Sat Mar 19 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.2.0.3-6mdk
- Rebuilt against latest jbigkit.

* Wed Mar 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 6.2.0.3-5mdk
- Rebuilt against fixed graphwiz libs

* Wed Mar 16 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.2.0.3-4mdk
- Backported patch from 6.2.0-8, for fixing wrong returned alpha channel when
  image don't have one.

* Thu Mar 10 2005 Pixel <pixel@mandrakesoft.com> 6.2.0.3-3mdk
- ensure "make -j 4" doesn't cause "perl Makefile.PL" to discard libMagick
  this fixes perl-Image-Magick which segfaulted because it was not linked with -lMagick.
- drop buggy patch14
  (the bugginess of patch14 comes from 5.5.7.15-3mdk)

* Wed Mar 02 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 6.2.0.3-2mdk
- fix the make test stuff with a twist

* Mon Feb 28 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.2.0.3-1mdk
- Release: 6.2.0-3.
- Disabled tests (problem with perl).

* Tue Feb 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 6.1.9.4-2mdk
- fix linking in the perl stuff (PLD)
- enable graphviz support
- run the tests (except x as it requires hands on)

* Mon Jan 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 6.1.9.4-1mdk
- fix deps and conditional %%multiarch.
- Release: 6.1.9-4.

* Sat Jan 22 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.1.9.2-1mdk
- Release: 6.1.9-2.

* Tue Jan 18 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.1.8.9-1mdk
- Release: 6.1.8-9.

* Sun Jan 16 2005 Guillaume Rousse <guillomovitch@mandrake.org> 6.1.8.7-3plf 
- fix perl module linkage
- use automake 1.8

* Sun Jan 16 2005 Luca Berra <bluca@vodka.it> 6.1.8.7-2mdk
- include parent directories in %%files

* Sat Jan 15 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.1.8.7-1mdk
- Release 6.8.1-7.

* Tue Jan 11 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.1.8.3-1mdk
- Release 6.8.1-3.

* Tue Jan 11 2005 Guillaume Rousse <guillomovitch@mandrake.org> 6.1.8.1-2mdk
- rebuild to have proper perl module linking (it still fails sometimes for unknwon reasons)
- perl package is perl-Image-Magick

* Sat Jan 08 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.1.8.1-1mdk
- Release 6.1.8-1.

* Thu Jan 06 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.1.7.6-1mdk
- Release 6.1.7-6.
- Rebuilt Patch7.
- Rebuilt Patch14.
- Added Patch18 (bug #10093).
- Jasper is in main, so use it.

* Tue Dec 28 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.1.7.5-1mdk
- Merged Charles A Edwards changes:
  - Release 6.1.7-5.
  - rm libltdl* files.

* Mon Dec 27 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.1.7.4-1mdk
- Removed Patch18 (merged upstream).
- Rebuilt Patch8.

* Sat Nov 27 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.4.4-8mdk
- security fix for CAN-2004-0981 (Vincent Danen).

* Wed Nov 24 2004 Götz Waschk <waschk@linux-mandrake.com> 6.0.4.4-7mdk
- enable jasper, it's in main

* Tue Nov 23 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 6.0.4.4-6mdk
- Rebuild for new perl

* Sat Oct 09 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.4.4-5mdk
- Added Patch21, to fix security problems, CAN-2004-0827.

* Tue Sep 28 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.4.4-4mdk
- Added Patch20, to fix antialias problem during PS converting
  with ghostscript delegate (bug #11765).

* Sun Sep 12 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.4.4-3mdk
- Added Patch19, to fix grab button problem (bug #11207).

* Sun Sep 12 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.4.4-2mdk
- Added Patch18, to move windows font path later in type.mgk
  (fixes bug #10193).

* Tue Aug 17 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.4.4-1mdk
- Release: 6.0.4-4.

* Fri Aug 13 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.4.3-1mdk
- Release: 6.0.4-3.

* Fri Aug 06 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.4.2-1mdk
- Release: 6.0.4-2.
- Added -fPIC and --with-pic to have ImageMagick libraries working 
  with prelink (Thierry).

* Mon Aug 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 6.0.4.1-2mdk
- rebuilt to fix invalid vendor and distribution
- misc spec file fixes

* Thu Jul 29 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.4.1-1mdk
- Release: 6.0.4-1.

* Tue Jul 27 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.3.5-1mdk
- Release: 6.0.3-5.

* Tue Jul 20 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.3.3-1mdk
- Release: 6.0.3-3.
- Removed Patch15 (browser), merged upstream.

* Fri Jun 25 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.2.7-1mdk
- Release: 6.0.2-7.

* Sun Jun 13 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.2.6-1mdk
- Release: 6.0.2-6.

* Sat Jun 05 2004 Laurent Montel <lmontel@mandrakesoft.com> 6.0.1.4-2mdk
- Rebuild

* Tue Jun 01 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.1.4-1mdk
- Release: 6.0.1-4.
- Removed Patch11, merged upstream.
- Rebuilt Patch4, Patch7, Patch8, Patch14, Patch17.
- Force enable-lzw=no (probably up to 7 July 2004, when LZW patents
  will expire in Canada too).

* Tue Jun 01 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.7.20-1mdk
- Revision: 5.5.7-20.
- Updated Patch12.

* Thu Apr 08 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.7.17-2mdk
- Merged Götz patches from 5.5.7.15-6mdk.

* Sun Apr 04 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.7.17-1mdk
- Revision: 5.5.7-17.
- Removed Patch16 for freetype2 (no longer needed).

